adjust the IEEEFP check for older versions of perl